package ru.ulstu.is.sbapp.socialNetwork.models;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
public class UserModel {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)

    private Long id;
    private String name;
    private String city;
    //поиск людей по городу

    @ManyToMany
    @LazyCollection(LazyCollectionOption.FALSE)
    @JoinTable(name="usermodels_musics",
            joinColumns = @JoinColumn(name="usermodel_id"),
            inverseJoinColumns = @JoinColumn(name="music_id")
    )
    private List<Music> musics;

    @ManyToMany
    @LazyCollection(LazyCollectionOption.FALSE)
    @JoinTable(name="usermodels_communities",
            joinColumns = @JoinColumn(name="usermodel_id"),
            inverseJoinColumns = @JoinColumn(name="community_id")
    )
    private List<Community> communities;

    public UserModel(){
    }
    public UserModel(String name){
        this.name = name;
        this.city = "Mosscow";
    }
    public UserModel(String name, String city){
        this.name = name;
        this.city = city;
    }
    public void deleteMusics() {
        musics = null;
    }
    public void deleteCommunities() {
        communities = null;
    }

    public Long getId(){return id;}

    public String getName(){return name;}
    public void setName(String firstName){this.name = firstName;}

    public void addMusic(Music g) {
        if(musics == null) musics = new ArrayList<>();
        musics.add(g);
    }
    public List<Music> getMusics() {
        return musics;
    }

    public void addCommunity(Community g) {
        if(communities == null) communities = new ArrayList<>();
        communities.add(g);
    }
    public List<Community> getGroups() {
        return communities;
    }

    public void setCity(String city){
        this.city = city;
    }
    public String getCity(){
        return city;
    }


    @Override
    public String toString() {
        return "User{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", city='" + city + '\'' +
                '}';
    }
}
